Bug 1461385 - Problem during high memory usage and i915 card
Problem during high memory usage and i915 card
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 07:11 EDT by piio
Modified: 2017-08-21 16:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description piio 2017-06-14 07:11:20 EDT
Description of problem:
After consuming all available physical memory kernel 4.12.0-0.rc5.git0.1.fc27 don't start swapping but my X server is killed.

Version-Release number of selected component (if applicable):
4.12.0-0.rc5.git0.1.fc27

How reproducible:
always

Steps to Reproduce:
1. Generate high mem usage (above physical memory)


Actual results:
My X server is killed

Expected results:
System starts swapping, but every component works

Additional info:


cze 14 12:53:05 00381-itw.itworks.pl kernel: CPU: 3 PID: 2514 Comm: Xorg Tainted: G           OE   4.12.0-0.rc5.git0.1.fc27.x86_64 #1
cze 14 12:53:06 00381-itw.itworks.pl kernel: Hardware name: Dell Inc. Latitude E6430/02V2HC, BIOS A16 08/19/2014
cze 14 12:53:06 00381-itw.itworks.pl kernel: Call Trace:
cze 14 12:53:06 00381-itw.itworks.pl kernel:  dump_stack+0x63/0x90
cze 14 12:53:06 00381-itw.itworks.pl kernel:  warn_alloc+0x114/0x1c0
cze 14 12:53:06 00381-itw.itworks.pl kernel:  __alloc_pages_slowpath+0xd5b/0xda0
cze 14 12:53:06 00381-itw.itworks.pl kernel:  ? radix_tree_node_alloc.constprop.19+0x7f/0xc0
cze 14 12:53:06 00381-itw.itworks.pl kernel:  __alloc_pages_nodemask+0x263/0x280
cze 14 12:53:06 00381-itw.itworks.pl kernel:  alloc_pages_vma+0xa0/0x2a0
cze 14 12:53:06 00381-itw.itworks.pl kernel:  shmem_alloc_page+0x70/0xc0
cze 14 12:53:06 00381-itw.itworks.pl kernel:  ? __vm_enough_memory+0x65/0x1a0
cze 14 12:53:06 00381-itw.itworks.pl kernel:  shmem_alloc_and_acct_page+0x73/0x1c0
cze 14 12:53:06 00381-itw.itworks.pl kernel:  ? find_get_entry+0x1e/0x150
cze 14 12:53:06 00381-itw.itworks.pl kernel:  shmem_getpage_gfp+0x1a1/0xc90
cze 14 12:53:06 00381-itw.itworks.pl kernel:  shmem_read_mapping_page_gfp+0x44/0x80
cze 14 12:53:06 00381-itw.itworks.pl kernel:  i915_gem_object_get_pages_gtt+0x1f8/0x590 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  ____i915_gem_object_get_pages+0x20/0x60 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  __i915_gem_object_get_pages+0x5c/0x70 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  __i915_vma_do_pin+0x1c4/0x440 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  i915_gem_execbuffer_reserve_vma.isra.28+0xbe/0x1b0 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  i915_gem_execbuffer_reserve.isra.29+0x40d/0x4a0 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  i915_gem_do_execbuffer.isra.35+0x591/0x1730 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  ? unix_stream_recvmsg+0x51/0x70
cze 14 12:53:06 00381-itw.itworks.pl kernel:  ? __unix_insert_socket+0x40/0x40
cze 14 12:53:06 00381-itw.itworks.pl kernel:  i915_gem_execbuffer2+0xba/0x210 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  drm_ioctl+0x213/0x4d0 [drm]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  ? i915_gem_execbuffer+0x300/0x300 [i915]
cze 14 12:53:06 00381-itw.itworks.pl kernel:  do_vfs_ioctl+0xa5/0x600
cze 14 12:53:06 00381-itw.itworks.pl kernel:  SyS_ioctl+0x79/0x90
cze 14 12:53:06 00381-itw.itworks.pl kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa5
cze 14 12:53:06 00381-itw.itworks.pl kernel: RIP: 0033:0x7f00a45b3707
cze 14 12:53:06 00381-itw.itworks.pl kernel: RSP: 002b:00007fffb9ae2de8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
cze 14 12:53:06 00381-itw.itworks.pl kernel: RAX: ffffffffffffffda RBX: 00007f00a6c8e040 RCX: 00007f00a45b3707
cze 14 12:53:06 00381-itw.itworks.pl kernel: RDX: 00007fffb9ae2e40 RSI: 0000000040406469 RDI: 000000000000000c
cze 14 12:53:06 00381-itw.itworks.pl kernel: RBP: 00007f00a6c30004 R08: 0000000000000000 R09: 0000000000000001
cze 14 12:53:06 00381-itw.itworks.pl kernel: R10: 0000000000000001 R11: 0000000000000246 R12: 00007f00a6c30014
cze 14 12:53:06 00381-itw.itworks.pl kernel: R13: 0000000000000007 R14: 0000000000000001 R15: 0000000000000005
cze 14 12:53:06 00381-itw.itworks.pl kernel: Mem-Info:
cze 14 12:53:06 00381-itw.itworks.pl kernel: active_anon:1585345 inactive_anon:226423 isolated_anon:60
                                              active_file:13295 inactive_file:13276 isolated_file:52
                                              unevictable:42 dirty:26 writeback:93568 unstable:0
                                              slab_reclaimable:14148 slab_unreclaimable:51114
                                              mapped:59068 shmem:69234 pagetables:28465 bounce:0
                                              free:25687 free_pcp:299 free_cma:0
cze 14 12:53:06 00381-itw.itworks.pl kernel: Node 0 active_anon:6341380kB inactive_anon:905692kB active_file:53180kB inactive_file:53104kB unevictable:168kB isolated(anon):240kB isolated(file):208kB mapped:236272kB dirty:104kB
cze 14 12:53:06 00381-itw.itworks.pl kernel: Node 0 DMA free:15892kB min:132kB low:164kB high:196kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:15984kB managed:1
cze 14 12:53:06 00381-itw.itworks.pl kernel: lowmem_reserve[]: 0 3051 7743 7743 7743
cze 14 12:53:06 00381-itw.itworks.pl kernel: Node 0 DMA32 free:45188kB min:26476kB low:33092kB high:39708kB active_anon:2896040kB inactive_anon:95136kB active_file:14464kB inactive_file:10980kB unevictable:32kB writepending:76
cze 14 12:53:06 00381-itw.itworks.pl kernel: lowmem_reserve[]: 0 0 4692 4692 4692
cze 14 12:53:06 00381-itw.itworks.pl kernel: Node 0 Normal free:41668kB min:40968kB low:51208kB high:61448kB active_anon:3444684kB inactive_anon:810852kB active_file:40064kB inactive_file:43676kB unevictable:136kB writepending
cze 14 12:53:06 00381-itw.itworks.pl kernel: lowmem_reserve[]: 0 0 0 0 0
cze 14 12:53:06 00381-itw.itworks.pl kernel: Node 0 DMA: 1*4kB (U) 0*8kB 1*16kB (U) 0*32kB 2*64kB (U) 1*128kB (U) 1*256kB (U) 0*512kB 1*1024kB (U) 1*2048kB (M) 3*4096kB (M) = 15892kB
cze 14 12:53:06 00381-itw.itworks.pl kernel: Node 0 DMA32: 1271*4kB (UME) 583*8kB (UME) 311*16kB (UME) 264*32kB (UME) 151*64kB (UME) 90*128kB (UME) 3*256kB (UM) 0*512kB 0*1024kB 0*2048kB 0*4096kB = 45124kB
cze 14 12:53:06 00381-itw.itworks.pl kernel: Node 0 Normal: 6930*4kB (MEH) 886*8kB (MEH) 265*16kB (UMEH) 61*32kB (MH) 8*64kB (MH) 4*128kB (MH) 2*256kB (H) 0*512kB 0*1024kB 0*2048kB 0*4096kB = 42536kB
cze 14 12:53:06 00381-itw.itworks.pl kernel: Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
cze 14 12:53:06 00381-itw.itworks.pl kernel: 188563 total pagecache pages
cze 14 12:53:06 00381-itw.itworks.pl kernel: 93811 pages in swap cache
cze 14 12:53:06 00381-itw.itworks.pl kernel: Swap cache stats: add 202426, delete 108622, find 5054/5276
cze 14 12:53:06 00381-itw.itworks.pl kernel: Free swap  = 7352828kB
cze 14 12:53:06 00381-itw.itworks.pl kernel: Total swap = 8140796kB
cze 14 12:53:06 00381-itw.itworks.pl kernel: 2072897 pages RAM
cze 14 12:53:06 00381-itw.itworks.pl kernel: 0 pages HighMem/MovableOnly
cze 14 12:53:06 00381-itw.itworks.pl kernel: 86477 pages reserved
cze 14 12:53:06 00381-itw.itworks.pl kernel: 0 pages cma reserved
cze 14 12:53:06 00381-itw.itworks.pl kernel: 0 pages hwpoisoned
cze 14 12:53:06 00381-itw.itworks.pl /usr/libexec/gdm-x-session[2512]: intel_do_flush_locked failed: Cannot allocate memory
cze 14 12:53:09 00381-itw.itworks.pl kernel: gnome-session-f[22870]: segfault at 0 ip 00007f563012cce9 sp 00007ffceb8126c0 error 4 in libgtk-3.so.0.2200.15[7f562fe4c000+6f7000]

Note You need to log in before you can comment on or make changes to this bug.